Bug 1120890 - Configuration issue when installaing with Cinnamon
Summary: Configuration issue when installaing with Cinnamon
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: terminator
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 22:45 UTC by Johan Swensson
Modified: 2015-06-29 21:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:37:38 UTC


Attachments (Terms of Use)

Description Johan Swensson 2014-07-17 22:45:05 UTC
Description of problem:
When installing a fresh F20 system with the Cinnamon group instead of GNOME terminator behaves strangly. 

Version-Release number of selected component (if applicable):
terminator-0.97-4.fc20.noarch

How reproducible:
Every time.

Steps to Reproduce:
1. Install a fresh Fedora 20, choosing Cinnamon as desktop environment
2. Install terminator
3. Start terminator

Actual results:
Terminator starts but shows this message:

ConfigBase::load: Unable to open /home/kupo/.config/terminator/config ([Errno 2] No such file or directory: '/home/kupo/.config/terminator/config')
/usr/lib/python2.7/site-packages/terminatorlib/terminator.py:86: Warning: Attempt to add property GnomeProgram::sm-connect after class was initialised
  self.gnome_program = gnome.init(APP_NAME, APP_VERSION)
/usr/lib/python2.7/site-packages/terminatorlib/terminator.py:86: Warning: Attempt to add property GnomeProgram::show-crash-dialog after class was initialised
  self.gnome_program = gnome.init(APP_NAME, APP_VERSION)
/usr/lib/python2.7/site-packages/terminatorlib/terminator.py:86: Warning: Attempt to add property GnomeProgram::display after class was initialised
  self.gnome_program = gnome.init(APP_NAME, APP_VERSION)
/usr/lib/python2.7/site-packages/terminatorlib/terminator.py:86: Warning: Attempt to add property GnomeProgram::default-icon after class was initialised
  self.gnome_program = gnome.init(APP_NAME, APP_VERSION)
Warning: python-keybinder is not installed. This means the hide_window shortcut will be unavailable

And the prompt in terminator is wrong:

]7;file://<fqdn>/home/kupo[kupo@hostname ~]$ 



Expected results:
Terminator should start without the error and should show the prompt correctly.

Additional info:
No other errors including selinux avcs.

Comment 1 Johan Swensson 2014-07-17 22:47:12 UTC
(In reply to Johan Swensson from comment #0)
> Warning: python-keybinder is not installed. This means the hide_window
> shortcut will be unavailable

Installed this package afterwards too but it only got rid of the warning.

Comment 2 Fedora End Of Life 2015-05-29 12:24:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:37:38 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.